Agora Java API Reference for Android

Static Public Member Functions | Public Attributes | List of all members
io.agora.mediaplayer.Constants.MediaPlayerEvent Enum Reference

Player event. More...

## Static Public Member Functions
static int | getValue (MediaPlayerEvent type)
static MediaPlayerEvent | fromNativeIndex (int nativeIndex)
static MediaPlayerEvent | getEventByValue (int value)

## Public Attributes
| PLAYER_EVENT_UNKNOWN =(-1)
| PLAYER_EVENT_SEEK_BEGIN =(0)
| PLAYER_EVENT_SEEK_COMPLETE =(1)
| PLAYER_EVENT_SEEK_ERROR =(2)
| PLAYER_EVENT_AUDIO_TRACK_CHANGED =(5)
| PLAYER_EVENT_BUFFER_LOW =(6)
| PLAYER_EVENT_BUFFER_RECOVER =(7)
| PLAYER_EVENT_FREEZE_START =(8)
| PLAYER_EVENT_FREEZE_STOP =(9)
| PLAYER_EVENT_SWITCH_BEGIN =(10)
| PLAYER_EVENT_SWITCH_COMPLETE =(11)
| PLAYER_EVENT_SWITCH_ERROR =(12)
| PLAYER_EVENT_FIRST_DISPLAYED =(13)
| PLAYER_EVENT_REACH_CACHE_FILE_MAX_COUNT =(14)
| PLAYER_EVENT_REACH_CACHE_FILE_MAX_SIZE =(15)
| PLAYER_EVENT_TRY_OPEN_START =(16)
| PLAYER_EVENT_TRY_OPEN_SUCCEED =(17)
| PLAYER_EVENT_TRY_OPEN_FAILED =(18)
| PLAYER_EVENT_HTTP_REDIRECT =(19)

## Detailed Description

Player event.

## Member Data Documentation

## ◆ PLAYER_EVENT_UNKNOWN

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_UNKNOWN =(-1)

Event unknown

## ◆ PLAYER_EVENT_SEEK_BEGIN

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_SEEK_BEGIN =(0)

seek complete

## ◆ PLAYER_EVENT_SEEK_COMPLETE

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_SEEK_COMPLETE =(1)

seek complete

## ◆ PLAYER_EVENT_SEEK_ERROR

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_SEEK_ERROR =(2)

seek failed

## ◆ PLAYER_EVENT_AUDIO_TRACK_CHANGED

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_AUDIO_TRACK_CHANGED =(5)

audio track changed

## ◆ PLAYER_EVENT_BUFFER_LOW

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_BUFFER_LOW =(6)

player buffer low

## ◆ PLAYER_EVENT_BUFFER_RECOVER

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_BUFFER_RECOVER =(7)

player buffer recover

## ◆ PLAYER_EVENT_FREEZE_START

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_FREEZE_START =(8)

The video or audio is interrupted

## ◆ PLAYER_EVENT_FREEZE_STOP

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_FREEZE_STOP =(9)

Interrupt at the end of the video or audio

## ◆ PLAYER_EVENT_SWITCH_BEGIN

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_SWITCH_BEGIN =(10)

switch source begin

## ◆ PLAYER_EVENT_SWITCH_COMPLETE

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_SWITCH_COMPLETE =(11)

switch source complete

## ◆ PLAYER_EVENT_SWITCH_ERROR

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_SWITCH_ERROR =(12)

switch source error

## ◆ PLAYER_EVENT_FIRST_DISPLAYED

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_FIRST_DISPLAYED =(13)

first video displayed

## ◆ PLAYER_EVENT_REACH_CACHE_FILE_MAX_COUNT

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_REACH_CACHE_FILE_MAX_COUNT =(14)

reach cache max file count

## ◆ PLAYER_EVENT_REACH_CACHE_FILE_MAX_SIZE

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_REACH_CACHE_FILE_MAX_SIZE =(15)

reach cache max file size

## ◆ PLAYER_EVENT_TRY_OPEN_START

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_TRY_OPEN_START =(16)

Triggered when a retry is required to open the media

## ◆ PLAYER_EVENT_TRY_OPEN_SUCCEED

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_TRY_OPEN_SUCCEED =(17)

Triggered when the retry to open the media is successful

## ◆ PLAYER_EVENT_TRY_OPEN_FAILED

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_TRY_OPEN_FAILED =(18)

Triggered when retrying to open media fails

## ◆ PLAYER_EVENT_HTTP_REDIRECT

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_HTTP_REDIRECT =(19)

Triggered when an http redirect occurs @technical preview